Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLPositionInterpolator Class Reference
[VRML97 classes]

The SoVRMLPositionInterpolator class is used to interpolate 3D points. More...

`#include <Inventor/VRMLnodes/SoVRMLPositionInterpolator.h>`

List of all members.

## Public Methods
| SoVRMLPositionInterpolator (void)
## Public Attributes
SoMFVec3f | keyValue
SoEngineOutput | value_changed
## Protected Methods
virtual | ~SoVRMLPositionInterpolator ()

## Detailed Description

The SoVRMLPositionInterpolator class is used to interpolate 3D points.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      PositionInterpolator {
        eventIn      SFFloat set_fraction        # (-,)
        exposedField MFFloat key           []    # (-,)
        exposedField MFVec3f keyValue      []    # (-,)
        eventOut     SFVec3f value_changed
      }

The PositionInterpolator node linearly interpolates among a list of 3D vectors. The keyValue field shall contain exactly as many values as in the key field. 4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>), contains a more detailed discussion of interpolators.

## Constructor & Destructor Documentation

SoVRMLPositionInterpolator::SoVRMLPositionInterpolator | ( | void |  | ) |

| Constructor.

SoVRMLPositionInterpolator::~SoVRMLPositionInterpolator | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Data Documentation

SoMFVec3f SoVRMLPositionInterpolator::keyValue

| The keyValue vector.

SoEngineOutput SoVRMLPositionInterpolator::value_changed

| The eventOut which is sent every time the interpolator has calculated a new value.

The documentation for this class was generated from the following files:

- SoVRMLPositionInterpolator.h
- PositionInterpolator.cpp